<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean-el" prefix="bean-el" %>
<%@page import="de.intevation.gnv.action.sessionmodel.SessionModel"%>
<%@page import="de.intevation.gnv.action.sessionmodel.SessionModelFactory"%>
<%@page import="java.util.Collection"%>
<%@page import="de.intevation.gnv.artifactdatabase.objects.ArtifactObject"%>
<%@page import="java.util.Iterator"%>
<%
  SessionModel sm = SessionModelFactory.getInstance().getSessionModel(request);
  Collection<ArtifactObject> artifactFactories = sm.getArtifactFactories();
  String prefix = "gnviewer.fis.";
%>
<div id="basefilter">
    <form id="fisSelectionForm" action="<%=response.encodeURL("selectArtifactFactory.do")%>" method="post">
       <fieldset>
            <legend><bean:message key="gnviewer.productselection.fisselection.title"/></legend>
      <%if (artifactFactories != null){%>
           
           <select name="artifactFactory">
           <%Iterator<ArtifactObject> it = artifactFactories.iterator();
           while (it.hasNext()){
                ArtifactObject ao = it.next();%>
                <option value="<%=ao.getId()%>" <%=(ao.isSelected() ? "selected=\"selected\"" : "")%> ><bean-el:message key="<%=(prefix+ao.getName())%>"/></option>
           <%}%>
           </select>
    <%}%>
           <br/>
           <input type="submit" value="<bean:message key="gnviewer.select.button"/>" />
        </fieldset>
    </form>
</div>